Package org.wso2.carbon.proxyadmin.ui.client

# Class ProxyServiceAdminClient

java.lang.Object
org.wso2.carbon.proxyadmin.ui.client.ProxyServiceAdminClient

public class ProxyServiceAdminClient extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminStub`
  `stub`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyServiceAdminClient(org.apache.axis2.context.ConfigurationContext configCtx, String backendServerURL, String cookie, Locale locale)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd67)`
  `void`
  `deleteProxyService(String proxyName99)`
  `String`
  `disableStatistics(String proxyName60)`
  `String`
  `disableTracing(String proxyName71)`
  `String`
  `enableStatistics(String proxyName94)`
  `String`
  `enableTracing(String proxyName82)`
  `String[]`
  `getAvailableEndpoints()`
  `String[]`
  `getAvailableSequences()`
  `String[]`
  `getAvailableTransports()`
  `org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData`
  `getDesignView(String proxyXML88)`
  Populates a proxy data object based on the given XML.
  `org.wso2.carbon.proxyadmin.stub.types.carbon.MetaData`
  `getMetaData()`
  `org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData`
  `getProxy(String proxyName73)`
  `String`
  `getSourceView(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd84)`
  `void`
  `modifyProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd69)`
  `String`
  `redeployProxyService(String proxyName65)`
  `void`
  `startProxyService(String proxyName80)`
  `void`
  `stopProxyService(String proxyName92)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### stub

    public org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminStub stub

- ## Constructor Details

  - ### ProxyServiceAdminClient

    public ProxyServiceAdminClient(org.apache.axis2.context.ConfigurationContext configCtx, String backendServerURL, String cookie, Locale locale) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

- ## Method Details

  - ### disableStatistics

    public String disableStatistics(String proxyName60) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getAvailableEndpoints

    public String[] getAvailableEndpoints() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### redeployProxyService

    public String redeployProxyService(String proxyName65) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### addProxy

    public void addProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd67) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### modifyProxy

    public void modifyProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd69) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### disableTracing

    public String disableTracing(String proxyName71) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getMetaData

    public org.wso2.carbon.proxyadmin.stub.types.carbon.MetaData getMetaData() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getProxy

    public org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData getProxy(String proxyName73) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getAvailableTransports

    public String[] getAvailableTransports() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### startProxyService

    public void startProxyService(String proxyName80) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### enableTracing

    public String enableTracing(String proxyName82) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getSourceView

    public String getSourceView(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData pd84) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getDesignView

    public org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData getDesignView(String proxyXML88) throws org.apache.axis2.AxisFault
    Populates a proxy data object based on the given XML. This mehtod will not validate any information since this may be called with incomplete information
    Parameters:
      `proxyXML88` - proxy service configuration
    Returns:
      the `ProxyData` object populated with given information
    Throws:
      `org.apache.axis2.AxisFault` - if the given XML cannot be parsed

  - ### stopProxyService

    public void stopProxyService(String proxyName92) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### enableStatistics

    public String enableStatistics(String proxyName94) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getAvailableSequences

    public String[] getAvailableSequences() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### deleteProxyService

    public void deleteProxyService(String proxyName99) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`